# CoinMetricsClient.get\_stream\_index\_levels

```python
coinmetrics.api_client.CoinMetricsClient.get_stream_index_levels(
    indexes,
    include_verification=None,
    backfill=Backfill.LATEST,
)
```

Returns timeseries stream of index levels.

* **Parameters:**
  * **indexes** ([*list*](https://docs.python.org/3/library/stdtypes.html#list) *(*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *)* *,* [*str*](https://docs.python.org/3/library/stdtypes.html#str)) -- list of indxes or market patterns such as CMBIBTC
  * **backfill** ([*str*](https://docs.python.org/3/library/stdtypes.html#str)) -- What data should be sent upon a connection ("latest" or "none"). By default the latest values are sent just before real-time data.
  * **include\_verification** ([*bool*](https://docs.python.org/3/library/functions.html#bool) *|* *None*) -- Default: False If set to true, includes information about verification.

**Returns:**

* [CmStream](https://gitbook-docs.coinmetrics.io/python-api-client/reference/coinmetricsclient/timeseries/pages/bqX2N1JuIuxQlz60rVmB#coinmetrics.api_client.CmStream)
  * Index levels data timeseries stream.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://gitbook-docs.coinmetrics.io/python-api-client/reference/coinmetricsclient/timeseries/get_stream_index_levels.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
